<?php

  if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');

  global $sugar_version, $sugar_config, $current_user, $app_strings, $mod_strings;
  
  require_once('modules/EcmProducts/EcmProduct.php');
  require_once('modules/EcmProducts/Forms.php');
  require_once ('include/time.php');
  require_once('include/json_config.php');
  
  $json_config = new json_config();
   
  $focus = new EcmProduct();   
  
  if(isset($_REQUEST['record'])) {
    $focus->retrieve($_REQUEST['record']);
  }
  else {
  	
  }
  
  require_once('include/MVC/View/SugarView.php');  
 
  if(file_exists('modules/EcmProducts/views/view.list.pricebook.php')) {
  	require_once('modules/EcmProducts/views/view.list.pricebook.php');
	$list = new EcmProductsViewList();
  }
  else {
  	require_once('include/MVC/View/views/view.list.php');
	$list = new ViewList();  
  }
  
  $list->bean = $focus;

//  if(!isset($_REQUEST['search_form_only']) || $_REQUEST['search_form_only'] != "true") require_once('modules/EcmGroupSales/HeaderMenu.php');

  $list->preDisplay();        
  $list->display();

?>